package cn.im47.cms.common.web.account;

import org.apache.shiro.SecurityUtils;
import org.apache.shiro.web.filter.authc.CaptchaFormAuthenticationFilter;
import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;

/**
 * LoginController负责打开登录页面(GET请求)和登录出错页面(POST请求)，
 * 真正登录的POST请求由Filter完成
 * User: baitao.jibt@gmail.com
 * Date: 12-3-18
 * Time: 下午13:59
 */
@Controller
public class LoginController {

    @RequestMapping(value = "/login", method = RequestMethod.GET)
    public String login() {
        if (SecurityUtils.getSubject().isAuthenticated()) {
            return "redirect:/dashboard";
        } else {
            return "security/login";
        }
    }

    @RequestMapping(value = "/login", method = RequestMethod.POST)
    public String fail(@RequestParam(CaptchaFormAuthenticationFilter.DEFAULT_USERNAME_PARAM) String username, Model model) {
        model.addAttribute(CaptchaFormAuthenticationFilter.DEFAULT_USERNAME_PARAM, username);
        return "security/login";
    }

}
